Bug 225652 - multimedia/mythtv: Update to 29.1
Summary: multimedia/mythtv: Update to 29.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL: https://reviews.freebsd.org/D14563
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-02-03 20:29 UTC by lucylangthorne55
Modified: 2018-03-25 17:28 UTC (History)
2 users (show)

See Also:


Attachments
Patch to upgrade multimedia/mythtv (103.87 KB, patch)
2018-02-03 20:29 UTC, lucylangthorne55
no flags Details | Diff
Patch to upgrade audio/mythplugin-mythmusic (3.04 KB, patch)
2018-02-03 20:30 UTC, lucylangthorne55
no flags Details | Diff
Patch to upgrade www/mythplugin-mythweb (1.62 KB, patch)
2018-02-03 20:31 UTC, lucylangthorne55
no flags Details | Diff
Patch to upgrade multimedia/mythtv-frontend (84.27 KB, patch)
2018-02-03 20:31 UTC, lucylangthorne55
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lucylangthorne55 2018-02-03 20:29:34 UTC
Created attachment 190305 [details]
Patch to upgrade multimedia/mythtv

Attached a patch to upgrade mythtv and related ports from 0.27.5 to 29.0 (fixes branch). The mythtv version numbers no-longer have a "0." prefix hence the big jump.

This upgrades multimedia/mythtv, multimedia/mythtv-frontend, audio/mythplugin-mythaudio and www/mythplugin-mythweb.

This was more complicated than my previous applied patch that upgraded mythtv to 0.27.5 since the latest version now uses QT5 instead of QT4.

I've added a few patches since the build would pick up local libraries in /usr/local instead of libraries bundled with mythtv. I've also removed patches that no longer applied.

There are new python dependencies due to mythtv's python metadata lookup changes.

I also added a "maintainer-create-pkg-plist" target on the Makefile since the plist has lots of conditional files that frequently change and are difficult to regenerate.

I only use mythtv and don't use the mythtv-frontend and plugin ports. However the mythtv (backend) port has worked for me for a while.


multimedia/mythtv:
Deleted:
files/patch-external__FFmpeg__configure
files/patch-external__FFmpeg__libavcodec__x86__ac3dsp_init.c
files/patch-external__zeromq__src__Makefile.am
files/patch-libs__libmyth__remoteutil.h
files/patch-libs__libmythdvdnav__dvdnav__dvdnav.c
files/patch-libs__libmythtv__recorders__dvbstreamhandler.cpp
files/patch-libs__libmythtv__videoout_vdpau.cpp
files/patch-libs__libmythui__mythgesture.cpp
files/patch-libs__libmythupnp__mmulticastsocketdevice.h

Added:
files/patch-external_libmythdvdnav_dvdnav_dvdnav_dvdnav.h
files/patch-libs_libmythtv_DVD_dvdringbuffer.h
files/patch-libs_libmythui_mythrender__vdpau.h


multimedia/mythtv-frontend
Added:
files/patch-external_libmythdvdnav_dvdnav_dvdnav_dvdnav.h
files/patch-libs_libmythtv_DVD_dvdringbuffer.h
files/patch-libs_libmythui_mythrender__vdpau.h

Removed:
files/patch-external__FFmpeg__configure
files/patch-external__FFmpeg__libavcodec__x86__ac3dsp_init.c
files/patch-libs__libmythdvdnav__dvdnav__dvdnav.c
files/patch-libs__libmythtv__recorders__dvbstreamhandler.cpp


audio/mythplugin-mythmusic:
No new files added/removed.


www/mythplugin-mythweb:
No new files added/removed.
Comment 1 lucylangthorne55 2018-02-03 20:30:22 UTC
Created attachment 190306 [details]
Patch to upgrade audio/mythplugin-mythmusic
Comment 2 lucylangthorne55 2018-02-03 20:31:03 UTC
Created attachment 190307 [details]
Patch to upgrade www/mythplugin-mythweb
Comment 3 lucylangthorne55 2018-02-03 20:31:37 UTC
Created attachment 190308 [details]
Patch to upgrade multimedia/mythtv-frontend
Comment 4 commit-hook freebsd_committer 2018-02-25 23:54:45 UTC
A commit references this bug:

Author: jhale
Date: Sun Feb 25 23:54:06 UTC 2018
New revision: 462986
URL: https://svnweb.freebsd.org/changeset/ports/462986

Log:
  Fix owner/group/permissions to stave off execution (working on update, see: [1])
  Install LICENSE_FILE via framework
  Pet portlint

  PR:		225652 [1]

Changes:
  head/www/mythplugin-mythweb/Makefile
  head/www/mythplugin-mythweb/pkg-plist
Comment 5 commit-hook freebsd_committer 2018-03-02 14:20:07 UTC
A commit references this bug:

Author: jhale
Date: Fri Mar  2 14:20:04 UTC 2018
New revision: 463403
URL: https://svnweb.freebsd.org/changeset/ports/463403

Log:
  Rename and update patches per current convention ahead of new version update
  to make community testing of new version a little easier and eliminate
  potential confusion.

  PR:		225652

Changes:
  head/multimedia/mythtv/files/patch-configure
  head/multimedia/mythtv/files/patch-external_FFmpeg_configure
  head/multimedia/mythtv/files/patch-external_FFmpeg_libavcodec_x86_ac3dsp__init.c
  head/multimedia/mythtv/files/patch-external__FFmpeg__configure
  head/multimedia/mythtv/files/patch-external__FFmpeg__libavcodec__x86__ac3dsp_init.c
  head/multimedia/mythtv/files/patch-external__zeromq__src__Makefile.am
  head/multimedia/mythtv/files/patch-external_zeromq_src_Makefile.am
  head/multimedia/mythtv/files/patch-libs__libmyth__remoteutil.h
  head/multimedia/mythtv/files/patch-libs__libmythdvdnav__dvdnav__dvdnav.c
  head/multimedia/mythtv/files/patch-libs__libmythtv__recorders__dvbstreamhandler.cpp
  head/multimedia/mythtv/files/patch-libs__libmythtv__videoout_vdpau.cpp
  head/multimedia/mythtv/files/patch-libs__libmythui__mythgesture.cpp
  head/multimedia/mythtv/files/patch-libs__libmythui__mythpainter.cpp
  head/multimedia/mythtv/files/patch-libs__libmythupnp__mmulticastsocketdevice.h
  head/multimedia/mythtv/files/patch-libs_libmyth_remoteutil.h
  head/multimedia/mythtv/files/patch-libs_libmythdvdnav_dvdnav_dvdnav.c
  head/multimedia/mythtv/files/patch-libs_libmythtv_recorders_dvbstreamhandler.cpp
  head/multimedia/mythtv/files/patch-libs_libmythtv_videoout__vdpau.cpp
  head/multimedia/mythtv/files/patch-libs_libmythui_mythgesture.cpp
  head/multimedia/mythtv/files/patch-libs_libmythui_mythpainter.cpp
  head/multimedia/mythtv/files/patch-libs_libmythupnp_mmulticastsocketdevice.h
Comment 6 Jason E. Hale freebsd_committer 2018-03-02 15:24:11 UTC
Thank you for your work on this! Since 29.1 is out, I put together an update for that version. I made the ports somewhat simpler by making multimedia/mythtv-frontend a slave port and fixed some more bugs.

I don't have a video capture card and have never used this software, so I need some help with the testing.

See: https://reviews.freebsd.org/D14563
Comment 7 lucylangthorne55 2018-03-11 22:09:37 UTC
Thanks for making the slave port (it will make upgrading far easier in the future) and updating to the latest release too.

I've compiled your patches but the multimedia/mythtv/distinfo was incorrect for me. I retried the patch/download over a few days but had same problem.

For me the downloaded file is:

wget 'https://codeload.github.com/MythTV/mythtv/tar.gz/v29.1?dummy=/MythTV-mythtv-v29.1_GH0.tar.gz'

SHA256 (MythTV-mythtv-v29.1_GH0.tar.gz) = 04a84eb0ded2d2b123624ab2b2e1b8cf824ff4bf8216e452b2516deb929082b2
SIZE (MythTV-mythtv-v29.1_GH0.tar.gz) = 105616234

(vs: size 105616252 in the patch).

Inside the build log for multimedia/mythtv was:

Source Version created as v29.1-9b7b962834

This seems to correspond to https://github.com/MythTV/mythtv/tree/v29.1

I don't know if the v29.1 tag changed on GitHub since you created your patch or if the problem was on my side.

Using that modified distinfo and looking at the compile log for multimedia/mythtv, the compile looks ok to me (has hdhomerun and dvb support), but it will take me a couple of days to build the other packages on my system to allow me to do an upgrade.
Comment 8 Jason E. Hale freebsd_committer 2018-03-12 00:22:06 UTC
(In reply to lucylangthorne55 from comment #7)
I've updated the distinfo in the arc diff. Maybe it got corrupted when I first downloaded it, but I'm getting the same checksum and size as you now. Unfortunately, I deleted the original so I can't compare.
Comment 9 lucylangthorne55 2018-03-17 13:28:58 UTC
Re: testing of mythtv upgrade

I've been using the multimedia/mythtv with the default compilation options on FreeBSD 11.1 for the past few days with dvb tuners and encountered no problems.
Comment 10 Jason E. Hale freebsd_committer 2018-03-17 14:25:08 UTC
(In reply to lucylangthorne55 from comment #9)
Great! I'll run another set of build checks against the current ports tree and get this committed.
Comment 11 Michael Reifenberger freebsd_committer 2018-03-23 22:58:36 UTC
Hi,
who is committing the upgrade?

Since the old mythtv-backend doesn't compile and has vulnerabilities the new version should be committed soonish.

The new version is working for me too btw.

Greetings
---
mike
Comment 12 Jason E. Hale freebsd_committer 2018-03-23 23:14:47 UTC
(In reply to Michael Reifenberger from comment #11)

I’m taking care of it, I’ve just been a little busy. This version still has vulnerabilities too since it includes ffmpeg 3.2. There are probably 25+ security patches that would have to be added to fix them.
Comment 13 Jason E. Hale freebsd_committer 2018-03-24 22:51:10 UTC
I added the rest of the FFmpeg security fixes to the arc diff and fixed a problem where mythtv was linking to libpulse if already installed. Hopefully, this will fly now.
Comment 14 commit-hook freebsd_committer 2018-03-25 14:14:54 UTC
A commit references this bug:

Author: jhale
Date: Sun Mar 25 14:13:52 UTC 2018
New revision: 465517
URL: https://svnweb.freebsd.org/changeset/ports/465517

Log:
  Update entries for mythtv and mythtv-frontend

  PR:		225652

Changes:
  head/security/vuxml/vuln.xml
Comment 15 commit-hook freebsd_committer 2018-03-25 17:09:45 UTC
A commit references this bug:

Author: jhale
Date: Sun Mar 25 17:09:06 UTC 2018
New revision: 465529
URL: https://svnweb.freebsd.org/changeset/ports/465529

Log:
  Update multimedia/mythtv and related ports to 29.1 [1]

  Convert multimedia/mythtv-frontend to a slave port of multimedia/mythtv
  which should make future updates much easier.

  Upstream security patches have been added to address known
  vulnerabilities in the bundled ffmpeg 3.2.

  PR:		225652 (initial patches to update to 29.0) [1]
  Submitted by:	<lucylangthorne55@gmail.com> [1]
  Differential Revision:	https://reviews.freebsd.org/D14563

Changes:
  head/audio/mythplugin-mythmusic/Makefile
  head/audio/mythplugin-mythmusic/distinfo
  head/audio/mythplugin-mythmusic/files/patch-configure
  head/audio/mythplugin-mythmusic/files/patch-mythmusic_mythmusic_cddecoder.cpp
  head/audio/mythplugin-mythmusic/files/patch-mythmusic_mythmusic_cddecoder.h
  head/audio/mythplugin-mythmusic/files/patch-mythmusic_mythmusic_cdrip.cpp
  head/audio/mythplugin-mythmusic/files/patch-settings.pro
  head/audio/mythplugin-mythmusic/pkg-plist
  head/multimedia/mythtv/Makefile
  head/multimedia/mythtv/distinfo
  head/multimedia/mythtv/files/extrapatch-programs_programs.pro
  head/multimedia/mythtv/files/patch-CVE-2016-10190
  head/multimedia/mythtv/files/patch-CVE-2016-10191
  head/multimedia/mythtv/files/patch-CVE-2016-10192
  head/multimedia/mythtv/files/patch-CVE-2017-05024
  head/multimedia/mythtv/files/patch-CVE-2017-05025
  head/multimedia/mythtv/files/patch-CVE-2017-07862
  head/multimedia/mythtv/files/patch-CVE-2017-07866
  head/multimedia/mythtv/files/patch-CVE-2017-09608a
  head/multimedia/mythtv/files/patch-CVE-2017-09608b
  head/multimedia/mythtv/files/patch-CVE-2017-09608c
  head/multimedia/mythtv/files/patch-CVE-2017-09991
  head/multimedia/mythtv/files/patch-CVE-2017-09992
  head/multimedia/mythtv/files/patch-CVE-2017-09993a
  head/multimedia/mythtv/files/patch-CVE-2017-09993b
  head/multimedia/mythtv/files/patch-CVE-2017-09994
  head/multimedia/mythtv/files/patch-CVE-2017-09996a
  head/multimedia/mythtv/files/patch-CVE-2017-09996b
  head/multimedia/mythtv/files/patch-CVE-2017-11399
  head/multimedia/mythtv/files/patch-CVE-2017-11665a
  head/multimedia/mythtv/files/patch-CVE-2017-11665b
  head/multimedia/mythtv/files/patch-CVE-2017-11719
  head/multimedia/mythtv/files/patch-CVE-2017-14054
  head/multimedia/mythtv/files/patch-CVE-2017-14055
  head/multimedia/mythtv/files/patch-CVE-2017-14056
  head/multimedia/mythtv/files/patch-CVE-2017-14057
  head/multimedia/mythtv/files/patch-CVE-2017-14058
  head/multimedia/mythtv/files/patch-CVE-2017-14059
  head/multimedia/mythtv/files/patch-CVE-2017-14169
  head/multimedia/mythtv/files/patch-CVE-2017-14170
  head/multimedia/mythtv/files/patch-CVE-2017-14171
  head/multimedia/mythtv/files/patch-CVE-2017-14222
  head/multimedia/mythtv/files/patch-CVE-2017-14223
  head/multimedia/mythtv/files/patch-CVE-2017-14225
  head/multimedia/mythtv/files/patch-CVE-2017-14767
  head/multimedia/mythtv/files/patch-CVE-2017-15186
  head/multimedia/mythtv/files/patch-CVE-2017-16840
  head/multimedia/mythtv/files/patch-CVE-2017-17081a
  head/multimedia/mythtv/files/patch-CVE-2017-17081b
  head/multimedia/mythtv/files/patch-CVE-2018-6392
  head/multimedia/mythtv/files/patch-CVE-2018-6621
  head/multimedia/mythtv/files/patch-configure
  head/multimedia/mythtv/files/patch-external_FFmpeg_configure
  head/multimedia/mythtv/files/patch-external_FFmpeg_libavcodec_x86_ac3dsp__init.c
  head/multimedia/mythtv/files/patch-external_FFmpeg_libavformat_rtsp.c
  head/multimedia/mythtv/files/patch-external_FFmpeg_libavformat_tls__openssl.c
  head/multimedia/mythtv/files/patch-external_libmythdvdnav_dvdnav_dvdnav_dvdnav.h
  head/multimedia/mythtv/files/patch-external_zeromq_src_Makefile.am
  head/multimedia/mythtv/files/patch-libs_libmyth_remoteutil.h
  head/multimedia/mythtv/files/patch-libs_libmythdvdnav_dvdnav_dvdnav.c
  head/multimedia/mythtv/files/patch-libs_libmythtv_DVD_dvdringbuffer.h
  head/multimedia/mythtv/files/patch-libs_libmythtv_dbcheck.cpp
  head/multimedia/mythtv/files/patch-libs_libmythtv_recorders_dvbstreamhandler.cpp
  head/multimedia/mythtv/files/patch-libs_libmythtv_videoout__vdpau.cpp
  head/multimedia/mythtv/files/patch-libs_libmythui_mythgesture.cpp
  head/multimedia/mythtv/files/patch-libs_libmythui_mythpainter.cpp
  head/multimedia/mythtv/files/patch-libs_libmythui_mythrender__vdpau.h
  head/multimedia/mythtv/files/patch-libs_libmythupnp_mmulticastsocketdevice.h
  head/multimedia/mythtv/pkg-plist
  head/multimedia/mythtv-frontend/Makefile
  head/multimedia/mythtv-frontend/distinfo
  head/multimedia/mythtv-frontend/files/
  head/multimedia/mythtv-frontend/pkg-descr
  head/multimedia/mythtv-frontend/pkg-plist
  head/www/mythplugin-mythweb/Makefile
  head/www/mythplugin-mythweb/distinfo
  head/www/mythplugin-mythweb/pkg-plist
Comment 16 Jason E. Hale freebsd_committer 2018-03-25 17:28:38 UTC
Committed with a few more dependency tweaks.